From 220dbe4275742c0959fecad3dfb60cee02d21d55 Mon Sep 17 00:00:00 2001
From: Sebastien Escudier <sebastien-devel@celeos.eu>
Date: Fri, 19 Sep 2008 14:39:29 +0200
Subject: [PATCH] Allow 0 TTL

---
 src/network/udp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/network/udp.c b/src/network/udp.c
index 8f6a18f..f063e2f 100644
--- a/src/network/udp.c
+++ b/src/network/udp.c
@@ -642,7 +642,7 @@ int __net_ConnectDgram( vlc_object_t *p_this, const char *psz_host, int i_port,
     int             i_val, i_handle = -1;
     bool      b_unreach = false;
 
-    if( i_hlim < 1 )
+    if( i_hlim < 0 )
         i_hlim = var_CreateGetInteger( p_this, "ttl" );
 
     memset( &hints, 0, sizeof( hints ) );
@@ -676,7 +676,7 @@ int __net_ConnectDgram( vlc_object_t *p_this, const char *psz_host, int i_port,
         setsockopt (fd, SOL_SOCKET, SO_BROADCAST, &(int){ 1 }, sizeof (int));
 #endif
 
-        if( i_hlim > 0 )
+        if( i_hlim >= 0 )
             net_SetMcastHopLimit( p_this, fd, ptr->ai_family, i_hlim );
 
         str = var_CreateGetNonEmptyString (p_this, "miface");
-- 
1.5.4.3

